httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ismael Puerto <ismael.pue...@seres.es>
Subject Re: [users@httpd] Cannot compile apr-util with ldap support
Date Wed, 12 Jun 2013 08:47:09 GMT
Hi Ysrni

I think that you should install
openldap-devel-2.3.43-25.el5_8.1

Best regards

On 12/06/13 10:35, ysrini wrote:
> Hi,
> on Redhat EL5, I am trying to compile apr-util with LDAP support
> (before building the Apache httpd)
> 
> At /apps/mysoft/setup, 
> I have folders apr-1.4.6 and apr-util-1.5.2 with source code
> 
> At /apps/mysoft/apache, I have empty folders with same name for the output
> of the above 'make install'
> 
> apr-1.4.6 is compiled
> 
> Now, I want to compile apr-util-1.5.2 with ldap support
> 
>>From /apps/mysoft/setup/apr-util-1.5.2
> run:
> 
> ./configure --prefix=/apps/mysoft/apache/apr-util-1.5.2	\
>    --with-ldap	\
>    --with-ldap-lib=/usr/lib64 	\
>    --with-ldap-include=/etc/openldap \
>    --with-apr=../apr-1.4.6
> 
> and it fails with error:
> 
> checking for ldap support...
>   setting APRUTIL_INCLUDES to "-I/etc/openldap"
>   setting APRUTIL_LDFLAGS to "-L/usr/lib64"
> checking for ldap_init in -lldap50... no
> checking for ldap_init in -lldapssl41... no
> checking for ldap_init in -lldapssl40... no
> checking for ldap_init in -lldapssl30... no
> checking for ldap_init in -lldapssl20... no
> checking for ldap_init in -lldapsdk... no
> checking for ldap_init in -lldapsdk... no
> checking for ldap_init in -lldap... no
> checking for ldap_init in -lldap... no
> checking for ldap_init in -lldap... no
> checking for ldap_init in -lldap... no
> configure: error: could not find an LDAP library
> 
> I checked for openldap:
> 
> $ rpm -qa openldap
> openldap-2.3.43-25.el5_8.1
> 
> $ rpm -ql openldap
> /etc/openldap
> /etc/openldap/cacerts
> /etc/openldap/ldap.conf
> /usr/lib64/liblber-2.3.so.0
> /usr/lib64/liblber-2.3.so.0.2.31
> /usr/lib64/libldap-2.3.so.0
> /usr/lib64/libldap-2.3.so.0.2.31
> /usr/lib64/libldap_r-2.3.so.0
> /usr/lib64/libldap_r-2.3.so.0.2.31
> /usr/share/doc/openldap-2.3.43
> /usr/share/doc/openldap-2.3.43/ANNOUNCEMENT
> /usr/share/doc/openldap-2.3.43/CHANGES
> /usr/share/doc/openldap-2.3.43/COPYRIGHT
> /usr/share/doc/openldap-2.3.43/LICENSE
> /usr/share/doc/openldap-2.3.43/README
> /usr/share/man/man5/ldap.conf.5.gz
> /usr/share/man/man5/ldif.5.gz
> /usr/share/openldap
> /etc/openldap
> /etc/openldap/cacerts
> /etc/openldap/ldap.conf
> /usr/lib/liblber-2.3.so.0
> /usr/lib/liblber-2.3.so.0.2.31
> /usr/lib/libldap-2.3.so.0
> /usr/lib/libldap-2.3.so.0.2.31
> /usr/lib/libldap_r-2.3.so.0
> /usr/lib/libldap_r-2.3.so.0.2.31
> /usr/share/doc/openldap-2.3.43
> /usr/share/doc/openldap-2.3.43/ANNOUNCEMENT
> /usr/share/doc/openldap-2.3.43/CHANGES
> /usr/share/doc/openldap-2.3.43/COPYRIGHT
> /usr/share/doc/openldap-2.3.43/LICENSE
> /usr/share/doc/openldap-2.3.43/README
> /usr/share/man/man5/ldap.conf.5.gz
> /usr/share/man/man5/ldif.5.gz
> /usr/share/openldap
> 
> 
> Can you please help with this error?
> Thanks,
> -srinivas y.
> 
> 
> 
> --
> View this message in context: http://apache-http-server.18135.x6.nabble.com/Cannot-compile-apr-util-with-ldap-support-tp5006295.html
> Sent from the Apache HTTP Server - Users mailing list archive at Nabble.com.
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
> 
> 

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message